robbat2 14/07/29 23:14:33
Added: metadata.xml percona-server-5.6.19.67.0.ebuild
ChangeLog
Log:
Bring MySQL(percona-server) 5.6 from the overlay into the tree. Thanks to the
great work of Brian Evans <[email protected]>.
(Portage version: 2.2.10/cvs/Linux x86_64, unsigned Manifest commit)
Revision Changes Path
1.1 dev-db/percona-server/metadata.xml
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/percona-server/metadata.xml?rev=1.1&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/percona-server/metadata.xml?rev=1.1&content-type=text/plain
Index: metadata.xml
===================================================================
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>mysql</herd>
<use>
<flag name='cluster'>Add support for NDB clustering (deprecated)</flag>
<flag name='community'>Enables the community features from upstream.</flag>
<flag name='embedded'>Build embedded server (libmysqld)</flag>
<flag name='extraengine'>Add support for alternative storage engines
(Archive, CSV, Blackhole, Federated(X), Partition)</flag>
<flag name="jemalloc">Use <pkg>dev-libs/jemalloc</pkg> for allocations.</flag>
<flag name='latin1'>Use LATIN1 encoding instead of UTF8</flag>
<flag name='max-idx-128'>Raise the max index per table limit from 64 to
128</flag>
<flag name='minimal'>Install client programs only, no server</flag>
<flag name='profiling'>Add support for statement profiling (requires
USE=community).</flag>
<flag name="systemtap">Build support for profiling and tracing using
<pkg>dev-util/systemtap</pkg></flag>
<flag name='test'>Install upstream testsuites for end use.</flag>
</use>
</pkgmetadata>
1.1 dev-db/percona-server/percona-server-5.6.19.67.0.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/percona-server/percona-server-5.6.19.67.0.ebuild?rev=1.1&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/percona-server/percona-server-5.6.19.67.0.ebuild?rev=1.1&content-type=text/plain
Index: percona-server-5.6.19.67.0.ebuild
===================================================================
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:
/var/cvsroot/gentoo-x86/dev-db/percona-server/percona-server-5.6.19.67.0.ebuild,v
1.1 2014/07/29 23:14:33 robbat2 Exp $
EAPI="5"
MY_EXTRAS_VER="20140729-2200Z"
MY_PV="${PV//_alpha_pre/-m}"
MY_PV="${MY_PV//_/-}"
# Build type
BUILD="cmake"
inherit toolchain-funcs mysql-v2
# only to make repoman happy. it is really set in the eclass
IUSE="$IUSE"
# Define the mysql-extras source
EGIT_REPO_URI="git://git.overlays.gentoo.org/proj/mysql-extras.git"
# REMEMBER: also update eclass/mysql*.eclass before committing!
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86
~sparc-fbsd ~x86-fbsd ~x86-linux"
# When MY_EXTRAS is bumped, the index should be revised to exclude these.
EPATCH_EXCLUDE=''
DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
RDEPEND="${RDEPEND}"
# Please do not add a naive src_unpack to this ebuild
# If you want to add a single patch, copy the ebuild to an overlay
# and create your own mysql-extras tarball, looking at 000_index.txt
# Official test instructions:
# USE='-cluster embedded extraengine perl ssl static-libs community' \
# FEATURES='test userpriv -usersandbox' \
# ebuild percona-server-X.X.XX.ebuild \
# digest clean package
src_test() {
local TESTDIR="${CMAKE_BUILD_DIR}/mysql-test"
local retstatus_unit
local retstatus_tests
# Bug #213475 - MySQL _will_ object strenously if your machine is named
# localhost. Also causes weird failures.
[[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be
named localhost"
if ! use "minimal" ; then
if [[ $UID -eq 0 ]]; then
die "Testing with FEATURES=-userpriv is no longer
supported by upstream. Tests MUST be run as non-root."
fi
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
addpredict /this-dir-does-not-exist/t9.MYI
# Run CTest (test-units)
cmake-utils_src_test
retstatus_unit=$?
[[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
# Ensure that parallel runs don't die
export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
# create directories because mysqladmin might right out of order
mkdir -p "${S}"/mysql-test/var-tests{,/log}
# These are failing in Percona 5.6 for now and are believed to
be
# false positives:
#
# main.information_schema,
binlog.binlog_statement_insert_delayed,
# main.mysqld--help-notwin, binlog.binlog_mysqlbinlog_filter
# perfschema.binlog_edge_mix, perfschema.binlog_edge_stmt
# funcs_1.is_columns_mysql funcs_1.is_tables_mysql
funcs_1.is_triggers
# fails due to USE=-latin1 / utf8 default
#
# main.mysql_client_test:
# segfaults at random under Portage only, suspect resource
limits.
#
# main.percona_bug1289599
# Looks to be a syntax error in the test file itself
#
# main.variables main.myisam main.merge_recover
# fails due to ulimit not able to open enough files (needs 5000)
#
for t in main.mysql_client_test \
binlog.binlog_statement_insert_delayed
main.information_schema \
main.mysqld--help-notwin
binlog.binlog_mysqlbinlog_filter \
perfschema.binlog_edge_mix perfschema.binlog_edge_stmt \
funcs_1.is_columns_mysql funcs_1.is_tables_mysql
funcs_1.is_triggers \
main.variables main.myisam main.merge_recover \
main.percona_bug1289599; do
mysql-v2_disable_test "$t" "False positives in
Gentoo"
done
# Run mysql tests
pushd "${TESTDIR}"
# Set file limits higher so tests run
ulimit -n 3000
# run mysql-test tests
perl mysql-test-run.pl --force
--vardir="${S}/mysql-test/var-tests" \
--testcase-timeout=30 --parallel=auto
retstatus_tests=$?
[[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
popd
# Cleanup is important for these testcases.
pkill -9 -f "${S}/ndb" 2>/dev/null
pkill -9 -f "${S}/sql" 2>/dev/null
failures=""
[[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
[[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
[[ -z "$failures" ]] || die "Test failures: $failures"
einfo "Tests successfully completed"
else
einfo "Skipping server tests due to minimal build."
fi
}
1.1 dev-db/percona-server/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/percona-server/ChangeLog?rev=1.1&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/percona-server/ChangeLog?rev=1.1&content-type=text/plain
Index: ChangeLog
===================================================================
# ChangeLog for dev-db/percona-server
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/percona-server/ChangeLog,v 1.1
2014/07/29 23:14:33 robbat2 Exp $
*percona-server-5.6.19.67.0 (29 Jul 2014)
29 Jul 2014; Robin H. Johnson <[email protected]> +files/my.cnf-5.5,
+metadata.xml, +percona-server-5.6.19.67.0.ebuild:
Bring MySQL(percona-server) 5.6 from the overlay into the tree. Thanks to the
great work of Brian Evans <[email protected]>.